Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\CreateStruct Class Reference
Inheritance diagram for eZ\Publish\SPI\Persistence\Content\CreateStruct:

## Public Attributes
| $name
| $typeId
| $sectionId
| $ownerId
| $locations = []
| $fields = []
| $alwaysAvailable = false
| $remoteId
| $initialLanguageId
| $mainLanguageId
| $modified
| $isHidden

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 11 of file SPI/Persistence/Content/CreateStruct.php.

## Member Data Documentation

## ◆ $alwaysAvailable

eZ\Publish\SPI\Persistence\Content\CreateStruct::$alwaysAvailable = false

Definition at line 46 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $fields

eZ\Publish\SPI\Persistence\Content\CreateStruct::$fields = []

Definition at line 43 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $initialLanguageId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$initialLanguageId

Definition at line 56 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $isHidden

eZ\Publish\SPI\Persistence\Content\CreateStruct::$isHidden

Definition at line 79 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $locations

eZ\Publish\SPI\Persistence\Content\CreateStruct::$locations = []

Definition at line 31 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $mainLanguageId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$mainLanguageId

Definition at line 65 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $modified

eZ\Publish\SPI\Persistence\Content\CreateStruct::$modified

Definition at line 72 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $name

eZ\Publish\SPI\Persistence\Content\CreateStruct::$name

Definition at line 14 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $ownerId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$ownerId

Definition at line 23 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $remoteId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$remoteId

Definition at line 49 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $sectionId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$sectionId

Definition at line 20 of file SPI/Persistence/Content/CreateStruct.php.

## ◆ $typeId

eZ\Publish\SPI\Persistence\Content\CreateStruct::$typeId

Definition at line 17 of file SPI/Persistence/Content/CreateStruct.php.

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/CreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.